windows下安装geopandas

在linux下没任何问题,直接 pipenv install geopandas, 各种依赖库该编译的编译,该依赖的依赖。

win下pyproj4编译不过,而且gdal库什么的也都是问题,建议全部从https://www.lfd.uci.edu/~gohlke/pythonlibs/ 下载对应py版本编译好的whl

python 版本3.7 x64

安装顺序与版本

1 gdal:2.4.1 

  目前不能装 3.0 否则在 import fiona的时候,报错:

ImportError: DLL load failed: 找不到指定的模块。

 原因是:目前fiona1.8.6和gdal 3.0在win下不兼容。所以gdal只能装2.4.1 

https://gis.stackexchange.com/questions/67372/fiona-importerror-dll-load-failed

2 fiona 1.8.6

3 pyproj  2.2.2

4 shapely 1.6.4

 

画图需要 descartes 可以直接pip

相关文章
相关标签/搜索